Starmade | Certain weapons mounted directly to an asteroid and then fired will crash the game at the next autosave
Closed, FinishedPublic

Description

Attempting to fire the cannon, push pulse, or damage pulse weapons that are directly mounted on the asteroid will cause an error to popup in a warning window and the game will crash after the next attempted autosave.

https://youtu.be/N0IrhMtuuo0

log.txt.0

Details

Commits
Restricted Diffusion Commit
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19497 (Dev)
Issue Type
Bug
Category
Control Block System: Weapons
First occurrence (version)
0.19488 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
AMD/ATI
Video Card Model
amd hd 6870 saphire
Detected video (Graphicsinfo.txt)

Running on thread: ClientThread
Adapter: aticfx64
Driver Version: 8.17.10.1404
Vendor: ATI Technologies Inc.
OpenGL Version: 4.5.13399 Compatibility Profile Context 15.200.1062.1003
Renderer: AMD Radeon HD 6800 Series
GLSL Ver: 4.40

Serverconfig (server.cfg)
WORLD = world0 //set world to use (set 'old' for using the old world). if no world exists a new one will be set automatically
PROTECT_STARTING_SECTOR = false //Protects the starting sector
ENABLE_SIMULATION = true //Universe AI simulation
CONCURRENT_SIMULATION = 256 //How many simulation groups may be in the universe simultaniously (performance)
ENEMY_SPAWNING = true //Enables enemy spawing
SECTOR_SIZE = 2000 //Sets the size of sectors in the universe **WARNING** scaling the size of an existing universe down may cause issues
BLUEPRINT_DEFAULT_PRIVATE = true //If true, set blueprints private as default (else they are public)
FLOATING_ITEM_LIFETIME_SECS = 240 //How much seconds items floating in space should be alive
SIMULATION_SPAWN_DELAY = 420 //How much seconds between simulation spawn ticks
SIMULATION_TRADING_FILLS_SHOPS = true //Trading guild will deliver stock to shops
SECTOR_INACTIVE_TIMEOUT = 20 //Time in secs after which sectors go inactive (-1 = off)
SECTOR_INACTIVE_CLEANUP_TIMEOUT = 10 //Time in secs after which inactive sectors are completely removed from memory (-1 = off)
USE_STARMADE_AUTHENTICATION = false //allow star-made.org authentication
REQUIRE_STARMADE_AUTHENTICATION = false //require star-made.org authentication (USE_STARMADE_AUTHENTICATION must be true)
PROTECTED_NAMES_BY_ACCOUNT = 10 //How many player names a player may protect with his account (if exceeded, the player name, that was logged in the longest time ago gets unprotected)
DEFAULT_BLUEPRINT_ENEMY_USE = true //Default option for blueprints not in catalog yet
DEFAULT_BLUEPRINT_FACTION_BUY = true //Default option for blueprints not in catalog yet
DEFAULT_BLUEPRINT_OTHERS_BUY = true //Default option for blueprints not in catalog yet
DEFAULT_BLUEPRINT_HOME_BASE_BUY = true //Default option for blueprints not in catalog yet
LOCK_FACTION_SHIPS = true //If true, ships of other factions cant be edited, activated, or entered
DEBUG_FSM_STATE = false //transfer debug FSM state. Turning this on may slow down network
PHYSICS_SHAPE_CASTING_TUNNELING_PREVENTION = false //Makes a convex cast for hight speed object to prevent clipping. High Cost. (Bugged right now, so dont turn it on)
CATALOG_SLOTS_PER_PLAYER = -1 //How many slots per player for saved ships (-1 for unlimited)
UNIVERSE_DAY_IN_MS = 1200000 //how long is a 'day' (stellar system rotation) in milliseconds (-1 to switch off system rotation)
FORCE_DISK_WRITE_COMPLETION = false //forces writing operations of raw data to disk directly after operation. For some OS this prevents raw data corruption
ASTEROIDS_ENABLE_DYNAMIC_PHYSICS = true //enables asteroids to be able to move in space
ENABLE_BREAK_OFF = false //debug (don't activate unless you know what you're doing)
COLLISION_DAMAGE = false //colliding into another object does damage
COLLISION_DAMAGE_THRESHOLD = 2.0 //Threshold of Impulse that does damage (the lower, the less force is needed for damage)
SKIN_ALLOW_UPLOAD = true //if off, skin uploading to server is deactivated
CATALOG_NAME_COLLISION_HANDLING = false //if off, saving with an existing entry is denied, if on the name is automatically changed by adding numbers on the end
SECTOR_AUTOSAVE_SEC = 300 //Time interval in secs the server will autosave (-1 for never)
PHYSICS_SLOWDOWN_THRESHOLD = 40 //Milliseconds a collision test may take before anti-slowdown mode is activated
THRUST_SPEED_LIMIT = 75 //How fast ships, etc. may go in m/s . Too high values may induce physics tunneling effects
MAX_CLIENTS = 32 //Max number of clients allowed on this server
SUPER_ADMIN_PASSWORD_USE = false //Enable super admin for this server
SUPER_ADMIN_PASSWORD = mypassword //Super admin password for this server
SERVER_LISTEN_IP = all //Enter specific ip for the server to listen to. use "all" to listen on every ip
SOCKET_BUFFER_SIZE = 65536 //buffer size of incoming and outgoing data per socket
PHYSICS_LINEAR_DAMPING = 0.05 //how much object slow down naturally (must be between 0 and 1): 0 is no slowdown
PHYSICS_ROTATIONAL_DAMPING = 0.05 //how much object slow down naturally (must be between 0 and 1): 0 is no slowdown
AI_DESTRUCTION_LOOT_COUNT_MULTIPLIER = 0.9 //multiply amount of items in a loot stack. use values smaller 1 for less and 0 for none
AI_DESTRUCTION_LOOT_STACK_MULTIPLIER = 0.9 //multiply amount of items spawned after AI destruction. use values smaller 1 for less and 0 for none
CHEST_LOOT_COUNT_MULTIPLIER = 0.9 //multiply amount of items in a loot stack. use values smaller 1 for less and 0 for none
CHEST_LOOT_STACK_MULTIPLIER = 0.9 //multiply amount of items spawned in chests of generated chests. use values smaller 1 for less and 0 for none
USE_WHITELIST = false //only names/ips from whitelist.txt are allowed
FILTER_CONNECTION_MESSAGES = false //don't display join/disconnect messages
USE_UDP = false //Use 'User Datagram Protocol' (UDP) instead of 'Transmission Control Protocol' (TCP) for connections
AUTO_KICK_MODIFIED_BLUEPRINT_USE = false //Kick players that spawn modified blueprints
AUTO_BAN_ID_MODIFIED_BLUEPRINT_USE = false //Ban player by name that spawn modified blueprints
AUTO_BAN_IP_MODIFIED_BLUEPRINT_USE = false //Ban player by IP that spawn modified blueprints
AUTO_BAN_TIME_IN_MINUTES = 60 //Time to ban in minutes (-1 for permanently)
REMOVE_MODIFIED_BLUEPRINTS = false //Auto-removes a modified blueprint
DEBUG_SEGMENT_WRITING = false //Debugs correctness of writing of segments (costs server performance)
TCP_NODELAY = true //Naggles algorithm (WARNING: only change when you know what you're doing)
PING_FLUSH = false //flushes ping/pong immediately (WARNING: only change when you know what you're doing)
RECIPE_BLOCK_COST = 5000 //How much blocks have to be invested to create a recipe (min 0)
SHOP_SPAWNING_PROBABILITY = 0.1 //(must be between 0 and 1): 0 is no shops spawned in asteroid sectors, 1 is shop spawned in everyone (default: 8% -> 0.08)
RECIPE_REFUND_MULT = 0.5 //how much blocks are refunded from selling a recipe (must be between 0 and 1): 0 no refund, 1 full refund
RECIPE_LEVEL_AMOUNT = 4000 //On how much created blocks will a recipe level up (base value) (min 0)
DEFAULT_SPAWN_SECTOR_X = 2 //DEFAULT Spawn Sector X Coordinate
DEFAULT_SPAWN_SECTOR_Y = 2 //DEFAULT Spawn Sector Y Coordinate
DEFAULT_SPAWN_SECTOR_Z = 2 //DEFAULT Spawn Sector Z Coordinate
MODIFIED_BLUEPRINT_TOLERANCE = 0.1 //Tolerance of modified blueprint trigger (default = 10%)
TURNING_DIMENSION_SCALE = 1.1 //Scaling of tuning speed VS ship dimension (default = 1.1)
DEFAULT_SPAWN_LOCALPOINT_X_1 = 0.0 //First Rotating Spawn: Local Pos X Coordinate
DEFAULT_SPAWN_LOCALPOINT_Y_1 = -6.5 //First Rotating Spawn: Local Pos Y Coordinate
DEFAULT_SPAWN_LOCALPOINT_Z_1 = -8.0 //First Rotating Spawn: Local Pos Z Coordinate
DEFAULT_SPAWN_LOCALPOINT_X_2 = 7.0 //Second Rotating Spawn: Local Pos X Coordinate
DEFAULT_SPAWN_LOCALPOINT_Y_2 = -6.5 //Second Rotating Spawn: Local Pos Y Coordinate
DEFAULT_SPAWN_LOCALPOINT_Z_2 = 0.0 //Second Rotating Spawn: Local Pos Z Coordinate
DEFAULT_SPAWN_LOCALPOINT_X_3 = 0.0 //Third Rotating Spawn: Local Pos X Coordinate
DEFAULT_SPAWN_LOCALPOINT_Y_3 = -6.5 //Third Rotating Spawn: Local Pos Y Coordinate
DEFAULT_SPAWN_LOCALPOINT_Z_3 = 7.0 //Third Rotating Spawn: Local Pos Z Coordinate
DEFAULT_SPAWN_LOCALPOINT_X_4 = -8.0 //Forth Rotating Spawn: Local Pos X Coordinate
DEFAULT_SPAWN_LOCALPOINT_Y_4 = -6.5 //Forth Rotating Spawn: Local Pos Y Coordinate
DEFAULT_SPAWN_LOCALPOINT_Z_4 = 0.0 //Forth Rotating Spawn: Local Pos Z Coordinate
PLAYER_DEATH_CREDIT_PUNISHMENT = 0.1 //players credits lost of total on death (must be between 0 and 1): 1 = lose all, 0 = keep all
PLAYER_DEATH_CREDIT_DROP = false //drop credits lost on death into space instead
PLAYER_DEATH_BLOCK_PUNISHMENT = false //player will drop all his blocks into space on death
PLAYER_DEATH_PUNISHMENT_TIME = 300 //Time interval in seconds after death of a player in which the player is not punished
PLAYER_DEATH_INVULNERABILITY_TIME = 5 //Time the player is invulnerable after death in sec
PLAYER_HISTORY_BACKLOG = 30 //how many login history objects (with name, IP, account-name, and time) should be saved by player state
PROJECTILES_ADDITIVE_VELOCITY = false //initial projectile speed depend on relative linear velocity of object fired from
PROJECTILES_VELOCITY_MULTIPLIER = 1.0 //multiplicator for projectile velocity
IGNORE_DOCKING_AREA = false //ignores docking area size
ALLOW_UPLOAD_FROM_LOCAL_BLUEPRINTS = true //enables clients being able to upload their pre-build-blueprints to the server
SHOP_NPC_STARTING_CREDITS = 10000000 //how much credits do shops start with
SHOP_NPC_RECHARGE_CREDITS = 100000 //how much credits do shops gain about every 10 min
AI_WEAPON_AIMING_ACCURACY = 10 //how accurate the AI aims (the higher the value the more accurate vs distance. 10 = about 99% accuracy at 10m)
BROADCAST_SHIELD_PERCENTAGE = 5 //percent of shields changed for the server to broadcast a shield synch
BROADCAST_POWER_PERCENTAGE = 50 //percent of power changed for the server to broadcast a power synch (not that critical)
ADMINS_CIRCUMVENT_STRUCTURE_CONTROL = true //admins can enter ships of any faction
STAR_DAMAGE = true //suns dealing damage to entities
SQL_NIO_FILE_SIZE = 256 //megabyte limit of .data file when to use NIO (faster) (must be power of 2)
PLANET_SIZE_MEAN = 225.0 //Planet size mean (normal gaussian distribution) (min 50)
PLANET_SIZE_DEVIATION = 85.0 //Planet size standard deviation. Note: normal gaussian distribution graph scaled horizontally by 1/3 (min 0)
PLAYER_MAX_BUILD_AREA = 100 //max area a player may add/remove in adv. build mode
NT_SPAM_PROTECT_TIME_MS = 30000 //period of spam protection
ASTEROID_SECTOR_REPLENISH_TIME_SEC = -1 //seconds until a sector that is mined down to 0 asteroids is replenished (-1 = never)
NT_SPAM_PROTECT_MAX_ATTEMPTS = 30 //max attempts before refusing connections in spam protect period (default is 1/sec for 30 sec)
NT_SPAM_PROTECT_EXCEPTIONS = 127.0.0.1 //ips excepted from spam control (separate multiple with comma) (default is localhost)
NT_SPAM_PROTECT_ACTIVE = true //enables connection spawn protection (flooding servers with login attempts)
USE_PERSONAL_SECTORS = false //will spawn a player in a locked sector sandbox (warning, don't use unless you know what you do)
BATTLE_MODE = false //turn on battlemode (warning, don't use unless you know what you're doing)
BATTLE_MODE_CONFIG = battleSector=0,0,0,Physics.smsec;battleSector=15,15,15,Physics.smsec;countdownRound=300;countdownStart=30;maxMass=-1;maxDim=300;maxMassPerFaction=-1; //General config for battlemode
BATTLE_MODE_FACTIONS = [TeamA, fighters, 500,500,500, 0.5,0.1,0.9];[TeamB, fighters, -500,-500,-500, 0.5,0.9,0.2];[TeamFFA,ffa, 0,0,-500, 0.2,0.9,0.9];[Spectators,spectators, 0,500,0,0.8,0.4,0.8] //Faction config for battlemode
LEADERBOARD_BACKLOG = 24 //time in hours to keep leaderboard backlog (the more time, the more data has to be sent to client)
ANNOUNCE_SERVER_TO_SERVERLIST = false //announces the server to the starmade server list so clients can find it. Hostname must be provided for HOST_NAME_TO_ANNOUNCE_TO_SERVER_LIST!
HOST_NAME_TO_ANNOUNCE_TO_SERVER_LIST =  //this must be a valid hostname (either ip or host, e.g. play.star-made.org)
SERVER_LIST_NAME = NoName //max length 64 characters
SERVER_LIST_DESCRIPTION = NoDescription //max length 128 characters
MISSILE_DEFENSE_FRIENDLY_FIRE = true //can shoot down own or missiles from own faction
USE_DYNAMIC_RECIPE_PRICES = true //use recipe based prices (the price is the price of the parts it is made out of in crafting)
MAKE_HOMBASE_ATTACKABLE_ON_FP_DEFICIT = true //Home bases become attackable if a faction's Faction Points are in the minus and the faction doesn't own any territory
PLANET_SPECIAL_REGION_PROPABILITY = 240 //one out of thisValue chance of a special region spawning per planet plate (cities, pyramids, etc) (changing this value migth change some plates, but won't change any plates that are already modified by a player)
NT_BLOCKUPDATE_QUEUE_SIZE = 127 //how many blocks are sent per update. Huge placements will shot faster, but it will consume more bandwidth and is subject to spamming players
CHUNK_REQUEST_THREAD_POOL_SIZE_TOTAL = 25 //Thead pool size for chunk requests (from disk and generated)
CHUNK_REQUEST_THREAD_POOL_SIZE_CPU = 3 //Available threads of total for CPU generation. WARNING: too high can cause cpu spikes. About the amount of available cores minus one is best
BUY_BLUEPRINTS_WITH_CREDITS = false //buy blueprints directly with credits
SHOP_USE_STATIC_SELL_BUY_PRICES = false //shop buy and sell price change depending on stock (shop prices will always stay the same if true)
SHOP_SELL_BUY_PRICES_UPPER_LIMIT = 1.2 //maximum of base price a shop will want depending on its stock (e.g. max 120 credits if the normal cost is 100)
SHOP_SELL_BUY_PRICES_LOWER_LIMIT = 0.8 //minimum of base price a shop will want depending on its stock (e.g. max 80 credits if the normal cost is 100)
MINING_BONUS = 1 //general multiplier on all mining
MAX_COORDINATE_BOOKMARKS = 20 //coordinate bookmarks per player allowed
ALLOWED_STATIONS_PER_SECTOR = 1 //how many stations are allowed per sector
STATION_CREDIT_COST = 1000000 //how much does a station or station blueprint cost
SKIN_SERVER_UPLOAD_BLOCK_SIZE = 256 //how fast should skins be transferred from server to clients (too high might cause lag) [default 256 ~ 16kb/s]
ALLOW_OLD_DOCKING_BEAM = false //enables old docking beam
WEIGHTED_CENTER_OF_MASS = true //if on, the center of mass for each structured will be calculated based on block mass. On 'false', the center of mass is always the core position
SECURE_UPLINK_ENABLED = false //dedicated servers can be registered on the StarMade registry
SECURE_UPLINK_TOKEN =  //uplink token, provided when registering a dedicated server
USE_STRUCTURE_HP = true //ships and other structures use the hitpoint system. if off, a ship will overheat when the core gets taken out (old)
SHOP_REBOOT_COST_PER_SECOND = 100.0 //Cost to reboot a ship at a shop (per second it would take to reboot in space)
SHOP_ARMOR_REPAIR_COST_PER_HITPOINT = 1.0 //Cost to repair a ship's armor at a shop
MAX_SIMULTANIOUS_EXPLOSIONS = 10 //the more the faster explosions at the same time are executed (costs in total about 20MB RAM each and of course CPU because it's all threaded) (10 is default for a medium powered singleplayer)
REMOVE_ENTITIES_WITH_INCONSISTENT_BLOCKS = false //This will remove ships that have blocks that are normally disallowed (e.g. space station blocks on ships)
OVERRIDE_INVALID_BLUEPRINT_TYPE = true //If a loaded blueprint is invalid, it's type will be overridden
FACTION_FOUNDER_KICKABLE_AFTER_DAYS_INACTIVITY = 30 //Days of inactivity after which a founder may kick another founder
DEBUG_BEAM_POWER_CONSUMPTION = false //server will send notifications on power consumed (not counting power given from supply) on server (costs performance, so only use for debugging)
DEBUG_BEAM_TICKS_DONE = false //server will send notifications on ticks done on server (costs performance, so only use for debugging)
DEBUG_BEAM_POWER_PER_TICK = false //server will send notifications on beam power per tick on server (costs performance, so only use for debugging)
DEBUG_MISSILE_POWER_CONSUMPTION = false //server will send notifications on missiles on server (costs performance, so only use for debugging)
BLUEPRINT_SPAWNABLE_SHIPS = true //enables or disables blueprint spawning from item
BLUEPRINT_SPAWNABLE_STATIONS = true //enables or disables blueprint spawning from item
USE_OLD_GENRATED_PIRATE_STATIONS = false //enables spawning of old style pirate stations
Clientconfig (settings.cfg)
C_USE_NEW_PLAYER_MODEL_ = true
CONTROL_HELP = false
C_MOUSE_BUTTOM_SWITCH = false
G_RESOLUTION = 1920 x 1080
G_FULLSCREEN = false
G_VSYNCH = true
G_FOV = 85.0
G_MAX_SEGEMENTSDRAWN = 20000
G_DRAW_SURROUNDING_GALAXIES_IN_MAP = false
HIT_INDICATION_NUMBERS_LIFETIME = 10.0
D_LIFETIME_NORM = 0
G_WINDOWED_BORDERLESS = false
S_SOUND_SYSTEM_ENABLED = true
S_SOUND_ENABLED = true
S_SOUND_VOLUME_GLOBAL = 10
N_TRANSMIT_RAW_DEBUG_POSITIONS = false
C_SELECTED_JOYSTICK = -1
ICON_BAKERY_BLOCKSTYLE_ROTATE_DEG = -90.0
MOUSE_WHEEL_SENSIBILITY = 7.0E-4
BUILD_MODE_SHIFT_SPEED = 25.0
ORBITAL_CAM_SPEED = 0.5
G_DAMAGE_DISPLAY = 3000
G_STAR_COUNT = 4096
G_VBO_BULKMODE_SIZE = 4
G_DRAW_FOG = false
G_DRAW_BEAMS = true
G_DRAW_EXHAUST_PLUMS = false
D_INFO_CONTROLMANAGER = false
D_INFO_SHADER = true
T_ENABLE_TEXTURE_BAKER = false
D_INFO_DRAW_TIMES = false
D_INFO_DRAW_SPACE_PARTICLE = false
G_SPACE_PARTICLE = false
G_DRAW_MOUSE_COLLISION = false
G_ATMOSPHERE_SHADER = normal
G_SHADOW_QUALITY = SIMPLE
G_DRAW_SHIELDS = true
G_DRAW_WATER = true
G_DRAW_BACKGOUND = false
G_WATER_USER_MIPMAPS = false
E_NAVIGATION_FILTER = 109
G_DRAW_ENTITIES = true
G_FRUSTUM_CULLTING = true
G_DRAW_EFFECTS = true
G_SHADER_RELOAD = false
G_FRAMRATE_FIXED = 60
G_SHADERS_ACTIVE = true
G_DEBUG_DRAW_GRID = false
G_DEBUG_DRAW_LINES = true
F_FRAME_BUFFER_USE = false
T_TERRAIN_DRAW = true
T_TERRAIN_WIREFRAME_DRAW = false
G_CULLING_ACTIVE = true
G_TEXTURE_ARRAYS = false
G_AUTO_NORMALIZATION = true
G_DRAW_BY_SIDES = true
G_WIREFRAMED = false
G_NORMAL_MAPPING = true
G_TEXTURE_COMPRESSION_BLOCKS = false
G_TEXTURE_ARRAY_COMPRESSION = true
G_TEXTURE_ARRAY_MIPMAP = true
G_TEXTURE_MIPMAP = true
G_SHADOWS = false
G_SHADOWS_VSM = false
S_PAUSED = false
S_SETTINGS_SHOW = false
MINIMAP_MODE = LARGE
SECTOR_INDICATION_MODE = INDICATION_ONLY
S_KEY_ALLOW_DUPLICATES = true
G_PROD_BG = true
G_PROD_BG_QUALITY = 2048
G_TEXTURE_PACK = Default
GIF_WIDTH = 640
GIF_HEIGHT = 640
GIF_FPS = 15
GIF_GUI = false
G_DEBRIS_THRESHOLD_MS = 4
G_TEXTURE_PACK_RESOLUTION = 128
S_INITIAL_SETTING = Single Player
S_GAME_MODE = Sandbox
G_BONE_ANIMATION = true
P_NT_DEBUG_ACTIVE = false
P_PHYSICS_DEBUG_ACTIVE_OCCLUSION = false
P_PHYSICS_DEBUG_ACTIVE = false
P_PHYSICS_DEBUG_MODE = 0
G_DEUBG_LINE_DRAWING_ACTIVATED = false
G_WINDOW_START_POSITION = center
G_DRAW_GUI_ACTIVE = true
G_DRAW_NO_OVERLAYS = false
G_PARTICLE_SORTING = true
P_PHYSICS_ACTIVATED = true
G_SMOKE_QUALITY = false
G_DRAW_STARS = false
G_DRAW_PASTE_PREVIEW = true
G_USE_SPRITE_VBO = true
S_TUTORIAL = false
G_AUTOSELECT_CONTROLLERS = true
S_INFO_DRAW = ALL_INFO
G_VBO_FLAG = STATIC
N_LAG_COMPENSATION = true
N_IGNORE_SAVED_UPLINK_CREDENTIALS_IN_SINGLEPLAYER = true
N_SERVER_TIME_UPDATE_FREQUENCE = 2000
M_TEXTURE_PACK_CONFIG_TOOL = ./data/textures/block/Default/64/
G_MULTI_SAMPLE = 0
G_MIPMAP_LEVEL_MAX = 3
M_MOUSE_SENSITIVITY = 0.9
G_HIT_INDICATION_SIZE = 2.0
F_BLOOM = true
F_BLOOM_INTENSITY = 1.0E-4
S_MOUSE_LOCK = true
G_DRAW_ADV_BUILDMODE_BLOCK_PREVIEW = true
G_DRAW_ALL_CONNECTIONS = false
G_SHOW_PURE_NUMBERS_FOR_SHIELD_AND_POWER = false
S_FLIP_HOTBAR_MOUSEWHEEL_WITHOUT_CTRL = true
S_ZOOM_MOUSEWHEEL = SLOTS
S_MOUSE_SHIP_INVERT = false
S_MOUSE_ALL_INVERT = false
S_USE_REGION_SIGNATURE_TEST = false
G_PREVIEW_TO_BUILD_BLOCK_TEST = true
S_EXIT_ON_ESC = false
G_USE_HIGH_QUALITY_ACKGROUND = false
G_DRAW_POPUPS = true
G_USE_VBO_MAP = true
G_DRAW_JUMP_OVERLAY = true
G_MAG_FILTER_LINEAR_BLOCKS = false
G_MAG_FILTER_LINEAR_GUI = false
G_MAX_BEAMS = 1024
SEGMENT_REQUEST_BATCH = 32
CLIENT_BUFFER_SIZE = 65536
ICON_BAKERY_SINGLE_RESOLUTION = 150
G_RAYTRACE_COUNT = 256
ICON_BAKERY_SINGLE_ICONS = false
G_MUST_CONFIRM_DETACHEMENT_AT_SPEED = 50.0
G_USE_SHADER4 = true
O_OCULUS_RENDERING = false
G_USE_VERTEX_LIGHTING_ONLY = false
CLIENT_TRAFFIC_CLASS = true
G_DRAW_SELECTED_BLOCK_WOBBLE = true
G_USE_TWO_COMPENENT_SHADER = false
A_FORCE_AUTHENTICATION_METHOD = -1
MIN_FFA = 2
B_UNDO_REDO_MAX = 30
N_ARTIFICIAL_DELAY = 0
SEGMENT_PIECE_QUEUE_SINGLEPLAYER = 32767
G_MAX_MISSILE_TRAILS = 128
G_USE_OCCLUSION_CULLING = false
C_AUTOASSIGN_WEAPON_SLOTS = true
G_DRAW_NT_STATS_OVERLAY = false
CLIENT_CUSTOM_TEXTURE_PATH = ./customBlockTextures
SECRET = none
USE_OPEN_AL_SOUND = false
LIMIT_FPS_UNFOCUS = true
GUI_USE_DISPLAY_LISTS = false
USE_GL_MULTI_DRAWARRAYS = false
USE_GL_MULTI_DRAWARRAYS_INITIAL_SET = false
CHAT_CLOSE_ON_ENTER = true
A_FORCE_LOCAL_SAVE_ENABLED_IN_SINGLE_PLAYER = false
G_SHIP_INFO_ZOOM = 3
G_SINGLEPLAYER_CREATIVE_MODE = false
G_DRAW_LAG_OBJECTS_IN_HUD = false
G_SHOW_SYMMETRY_PLANES = true
LANGUAGE_PACK = english
spunkie created this task.Nov 8 2015, 7:37 AM
spunkie changed Reproducible from uncertain to Yes.
spunkie set Last tested (version) to 0.19488 dev.
spunkie changed Video Card Vendor from uncertain to AMD/ATI.
spunkie set Video Card Model to amd hd 6870 saphire.
spunkie edited Detected video (Graphicsinfo.txt). (Show Details)
spunkie edited Serverconfig (server.cfg). (Show Details)
spunkie edited Clientconfig (settings.cfg). (Show Details)
spunkie added a subscriber: spunkie.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptNov 8 2015, 7:37 AM
spunkie edited the task description. (Show Details)Nov 8 2015, 7:50 AM
spunkie set Issue Type to Bug.
spunkie set Category to none/unspecified.
spunkie set Affected Gamemode(s) to none/unspecified.
spunkie set OS-Specific to No.
spunkie set Hardware-Specific to No.
lancake claimed this task.Nov 8 2015, 9:35 PM
lancake added a subscriber: lancake.

-Validated-

Don't test this on the test server, SP only.

lancake triaged this task as "Release Blocker" priority.Nov 8 2015, 9:36 PM
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake changed Category from none/unspecified to Control Block System: Weapons.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.19488 (Dev).
lancake changed Last tested (version) from 0.19488 dev to 0.19488 (Dev).
Restricted Application added a subscriber: AndyP. · View Herald TranscriptNov 8 2015, 9:36 PM
lancake removed lancake as the assignee of this task.
psycommando added a comment.EditedNov 8 2015, 10:38 PM

-Confirmed-
I can confirm this is happening on v0.19488.

Steps to Reproduce:

  1. Go to an asteroid. Place a build block.
  2. Place a power block.
  3. Place a weapon computer.
  4. Place a weapon module.
  5. Enter the weapon computer and press the fire key.

The game will popup an exception when something is being cast to a "ParticleHandler".
Here are my logs, the interesting stuff begins at line 8774 in log.txt.0
logs.7z

psycommando changed the task status from "Open" to "In Queue (Game)".
schema changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Nov 21 2015, 1:00 PM
lancake changed the task status from "Resolved" to "In Queue (Game)".Nov 21 2015, 1:59 PM

log.txt.0

[2015-11-21 14:42:08] [GLFRAME] THROWN: class java.lang.ClassCastExceptionPrinting StackTrace DONE
[2015-11-21 14:42:08] java.lang.ClassCastException: obfuscated.Ov cannot be cast to org.schema.game.common.controller.elements.PulseHandler
[2015-11-21 14:42:08] 	at org.schema.game.common.controller.elements.UsableElementManager.getPulseController(SourceFile:355)
[2015-11-21 14:42:08] 	at org.schema.game.common.controller.elements.pulse.damage.DamagePulseElementManager.addSinglePulse(SourceFile:66)
[2015-11-21 14:42:08] 	at org.schema.game.common.controller.elements.pulse.PulseElementManager.addSinglePulse(SourceFile:133)
[2015-11-21 14:42:08] 	at org.schema.game.common.controller.elements.pulse.PulseElementManager.doShot(SourceFile:101)
[2015-11-21 14:42:08] 	at org.schema.game.common.controller.elements.pulse.PulseElementManager.handle(SourceFile:334)
[2015-11-21 14:42:08] 	at org.schema.game.common.controller.elements.ManagerContainer.handleActivateBlockActivate(SourceFile:719)
[2015-11-21 14:42:08] 	at org.schema.game.common.controller.SegmentController.updateLocal(SourceFile:2602)
[2015-11-21 14:42:08] 	at obfuscated.Pl.updateLocal(SourceFile:538)
[2015-11-21 14:42:08] 	at org.schema.game.common.controller.EditableSendableSegmentController.updateLocal(SourceFile:1097)
[2015-11-21 14:42:08] 	at obfuscated.Os.updateLocal(SourceFile:183)
[2015-11-21 14:42:08] 	at obfuscated.Ov.updateLocal(SourceFile:89)
[2015-11-21 14:42:08] 	at obfuscated.C.update(SourceFile:1178)
[2015-11-21 14:42:08] 	at obfuscated.atC.a(SourceFile:1176)
[2015-11-21 14:42:08] 	at obfuscated.atC.a(SourceFile:1167)
[2015-11-21 14:42:08] 	at obfuscated.C.h(SourceFile:2788)
[2015-11-21 14:42:08] 	at obfuscated.NE.run(SourceFile:92)
[2015-11-21 14:42:08] 	at java.lang.Thread.run(Unknown Source)

Works fine for cannons, beams and missiles. It doesn't for pulse.

NOTE: Beams are not visible (but they are there), that's another task though.
lancake changed Last tested (version) from 0.19488 (Dev) to 0.19495 (Dev).Nov 21 2015, 1:59 PM
lancake closed this task as "Closed".Nov 21 2015, 3:33 PM

-QA Testing-

Fixed now.

Restricted Application removed a project: Workflow Game Development. · View Herald TranscriptNov 21 2015, 3:33 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
lancake changed Last tested (version) from 0.19495 (Dev) to 0.19497 (Dev).Nov 21 2015, 3:33 PM

Add Comment